Package org.jfree.layouting.layouter.content.computed

## Class VariableToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.computed.ComputedToken
  - - org.jfree.layouting.layouter.content.computed.VariableToken

- All Implemented Interfaces:
    `ContentToken`

      public class VariableToken
      extends ComputedToken

  The variable token resolves the given 'string' reference.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableToken​(java.lang.String variable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getVariable​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableToken

          public VariableToken​(java.lang.String variable)

  - ### Method Detail

    - #### getVariable

          public java.lang.String getVariable​()